
Name:           python-django-evolution
Version:        0.6.7
Release:        %mkrel 2
Summary:        Schema evolution for Django

Group:          Development/Python
License:        BSD
URL:            http://code.google.com/p/django-evolution/
# svn export -%{alphatag} http://django-evolution.googlecode.com/svn/trunk/ django-evolution-%{alphatag}
# tar zcf django-evolution-%{alphatag}.tar.gz django-evolution-%{alphatag}
#Source0:        %{realname}-%{alphatag}.tar.gz
Source0:        http://pypi.python.org/packages/source/d/django_evolution/django_evolution-%{version}.tar.gz
# Patches from Fedora
Patch0001: FED01-Disable-ez_setup-when-installing-by-RPM.patch


BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  python-coverage
BuildRequires:  pyflakes
BuildRequires:  python-sqlite
BuildRequires:  python-django
Requires:       python-django

%description
When you run ./manage.py syncdb, Django will look for any new models that
have been defined, and add a database table to represent those new models.
However, if you make a change to an existing model, ./manage.py syncdb will
not make any changes to the database.

This is where Django Evolution fits in. Django Evolution is an extension to
Django that allows you to track changes in your models over time, and to
update the database to reflect those changes.

%prep
%setup -q -n django_evolution-%{version}
%patch0001 -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
# Delete tests. They aren't useful in an installed system
rm -rf $RPM_BUILD_ROOT/%{python_sitelib}/tests

%check
%{__python} tests/runtests.py
%{__python} tests/run-pyflakes.py

%files
%doc AUTHORS LICENSE README docs/
%{python_sitelib}/django_evolution/*
%{python_sitelib}/django_evolution-%{version}*.egg-info




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.6.7-2.mga3
+ Revision: 378670
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 philippem <philippem> 0.6.7-1.mga3
+ Revision: 334331
- Update to 0.6.7

* Wed Nov 30 2011 philippem <philippem> 0.6.5-1.svnr212.1.mga2
+ Revision: 174579
- Update to 0.6.5

* Thu Jan 27 2011 ahmad <ahmad> 0.0-1.svnr164.3.mga1
+ Revision: 42369
- imported package python-django-evolution

